## gnome-shell-extension-brightness-control 0~git20140301

=== debian/changelog ===
gnome-shell-extension-brightness-control (0~git20140301-1) unstable; urgency=medium

  * New upstream snapshot
  * Patch 001_FixTranslation merged upstream, removing also now empty d/patches
  * Due to the fix applied upstream, the work-around in d/rules for renaming
    the po files can also be dropped.
  * Updated d/control to reflect new VCS-* location (renamed to fit Debian
    package name)

 -- Tobias Frost <tobi@coldtobi.de>  Sat, 15 Mar 2014 21:04:54 +0100

gnome-shell-extension-brightness-control (0~git20140227-1) unstable; urgency=low

  * Initial release (Closes: #740313)

 -- Tobias Frost <tobi@coldtobi.de>  Wed, 05 Mar 2014 18:55:45 +0100
