=== debian/control ===
Source: gnome-shell-extension-brightness-control
Section: gnome
Priority: optional
Maintainer: Tobias Frost <tobi@coldtobi.de>
Build-Depends: debhelper (>= 9),
 gettext,
 libglib2.0-bin,
 quilt
Standards-Version: 3.9.5
Homepage: https://gitorious.org/gnome-shell-brightness-extension/
Vcs-Git: git://gitorious.org/gnome-shell-brightness-extension-debian/gnome-shell-extension-brightness-control-debian.git
Vcs-Browser: https://gitorious.org/gnome-shell-brightness-extension-debian/gnome-shell-extension-brightness-control-debian

Package: gnome-shell-extension-brightness-control
Architecture: all
Depends: gnome-shell (>= 3.8), ${misc:Depends}
Recommends: gnome-tweak-tool
Description: Gnome-shell extension to modify display brightness
 This Gnome-shell extension allows you to control your display brightness, even
 can be set to persist across reboots.
 .
 It supports hover scrolling and custom keybindings for changing the brightness.
 .
 Please note that you have to manually enable the extension, for example using
 gnome-tweak-tool.
